Name:    kdemultimedia
Epoch:   6
Version: 4.5.5
Release: 1%{?dist}
Summary: KDE Multimedia applications

Group:   Applications/Multimedia
# see also: http://techbase.kde.org/Policies/Licensing_Policy
License: GPLv2+
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdemultimedia-%{version}%{?alphatag}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# disable mplayerthumbs
Patch1: kdemultimedia-4.5.1-no_mplayerthumbs.patch 

# install kscd doc only if kscd build is enable
Patch2: kdemultimedia-4.3.75-kscd_doc.patch

## upstream patches

# This one is normal, FLAC_OGG_LIBRARY is not actually used anyway:
# FLAC_OGG_LIBRARY:FILEPATH=FLAC_OGG_LIBRARY-NOTFOUND

BuildRequires: alsa-lib-devel
BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: flac-devel
BuildRequires: glib2-devel
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: taglib-devel
%if 0%{?fedora}
BuildRequires: xine-lib-devel libxcb-devel
# needed to build Kscd, keep
%define kscd 1
BuildRequires: libtunepimp-devel libmusicbrainz-devel
%endif

Requires: %{name}-libs%{?isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4%{?_isa} >= %{version}
Requires: kdebase-workspace >= %{version}

Provides: dragonplayer = 2.0.2-0.1
%if 0%{?fedora} && 0%{?fedora} < 11
Obsoletes: dragonplayer < 2.0.2-0.1
%endif

Obsoletes: %{name}-extras < %{?epoch:%{epoch}:}%{version}-%{release}

%description
The %{name} package contains multimedia applications, including:
* dragonplayer (a simple video player)
* juk (a music manager and player)
* kmix (an audio mixer)
%if 0%{?kscd}
* kscd (an Audio-CD player)
%endif

%package libs
License: LGPLv2+ and GPLv2+
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Obsoletes: %{name}-extras-libs < %{?epoch:%{epoch}:}%{version}-%{release}
%if 0%{?fedora} && 0%{?fedora} < 11
Conflicts: dragonplayer < 2.0.2-0.1
%endif
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name}
License:  LGPLv2+ and GPLv2+
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -q -n kdemultimedia-%{version}%{?alphatag}

%if ! 0%{?mplayerthumbs}
%patch1 -p1 -b .nomplayerthumbs
%endif
%if ! 0%{?kscd}
%patch2 -p1 -b .kscd_doc
%endif


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/dragonplayer/
%{_kde4_appsdir}/juk/
%{_kde4_appsdir}/kmix/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/konqsidebartng/
%if 0%{?kscd}
%{_kde4_appsdir}/kscd/
%{_kde4_appsdir}/solid/actions/kscd-play-audiocd.desktop
%{_kde4_appsdir}/solid/actions/solid_audiocd.desktop
%{_kde4_docdir}/HTML/en/kcontrol/cddbretrieval/
%{_kde4_iconsdir}/oxygen/*/actions/kscd-dock.*
%endif
%{_kde4_appsdir}/solid/actions/dragonplayer-opendvd.desktop
%if 0%{?mplayerthumbs}
%{_kde4_appsdir}/videothumbnail/
%endif
%{_kde4_configdir}/dragonplayerrc
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_docdir}/HTML/en/dragonplayer/
%{_kde4_docdir}/HTML/en/juk/
%{_kde4_docdir}/HTML/en/kmix/
%{_kde4_docdir}/HTML/en/kioslave/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/actions/player-volume-muted.*
%{_kde4_libdir}/libkdeinit*.so

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*.so

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/audiocdencoder.h
%{_kde4_includedir}/libkcddb/
%{_kde4_includedir}/libkcompactdisc/
%{_kde4_libdir}/lib*.so
%exclude %{_kde4_libdir}/libkdeinit*.so


%changelog
* Thu Jan 06 2011 Rex Dieter <rdieter@fedoraproject.org> 6:4.5.5-1
- 4.5.5

* Fri Dec 03 2010 Than Ngo <than@redhat.com> - 6:4.5.4-1
- 4.5.4

* Sun Oct 31 2010 Than Ngo <than@redhat.com> - 6:4.5.3-1
- 4.5.3

* Sat Oct 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.5.2-1
- 4.5.2

* Fri Aug 27 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.5.1-1
- 4.5.1
- unconditionally omit mplayerthumbs (#627722)

* Tue Aug 03 2010 Than Ngo <than@redhat.com> - 6:4.5.0-1
- 4.5.0

* Sat Jul 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.95-1
- 4.5 RC3 (4.4.95)

* Wed Jul 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.92-1
- 4.5 RC2 (4.4.92)

* Fri Jun 25 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.90-1
- 4.5 RC1 (4.4.90)

* Mon Jun 07 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.85-1
- 4.5 Beta 2 (4.4.85)

* Fri May 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.80-1
- 4.5 Beta 1 (4.4.80)

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.3-1
- 4.4.3

* Sat Apr 03 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.2-2
- sync kmix-pulse.patch : connect without a QEventLoop which can cause
  some strange issues

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.2-1
- 4.4.2

* Fri Mar 12 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-2
- sync kmix-pulse.patch from mdv

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-1
- 4.4.1

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 6:4.4.0-1
- 4.4.0

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Fri Jan 29 2010 Rex Dieter <rdieter@fedoraproject.org. - 4.3.95-2
- respin kmix_pa patch

* Wed Jan 20 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Sun Jan 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-4
- respin kmix_pa patch

* Thu Jan 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-3
- (re)enable mplayerthumbs (fedora-only)

* Mon Jan 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-2
- respin kmix_pa patch

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-2
- (re)enable kmix/pa support, with patches from coling/mandriva
- tighten lib deps with %%{?_isa}
- deprecate Obsoletes: dragonplayer

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Wed Dec 16 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.3.80-2
- Repositioning the KDE Brand (#547361)

* Tue Dec  1 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)

* Mon Nov 23 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- Update to 4.3.75 snapshot

* Tue Nov 10 2009 Than Ngo <than@redhat.com> - 4.3.3-2
- rhel cleanup
- don't install kscd doc if it's not built

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3

* Mon Oct 05 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6:4.2.98-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Sat Jul 11 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- 4.3rc1

* Fri Jun 05 2009 Than Ngo <than@redhat.com> - 4.2.90-2
- fix build issue without xine-lib

* Thu Jun 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.90-1
- KDE-4.3 beta2 (4.2.90)

* Mon May 18 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.85-2
- Disable BR pulseaudio-libs-devel, KMix PA integration does not work yet.

* Wed May 13 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.85-1
- KDE 4.3 beta 1

* Wed Apr 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-2
- optimize scriptlets

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-1
- KDE 4.2.2

* Fri Feb 27 2009 Than Ngo <than@redhat.com> - 4.2.1-1
- 4.2.1

* Sun Feb 22 2009 Tejas Dinkar <tejas@gja.in> - 4.2.0-3
- fix kde#165249 No sound after second video file in Dragon Player (from 4.2.1)

* Sat Jan 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-2
- unowned dirs (#483516)

* Thu Jan 22 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Wed Jan 07 2009 Than Ngo <than@redhat.com> - 4.1.96-1
- 4.2rc1

* Sat Dec 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.85-2
- restore BR libtunepimp-devel libmusicbrainz-devel for now, needed by Kscd

* Fri Dec 12 2008 Than Ngo <than@redhat.com> 4.1.85-1
- 4.2beta2

* Fri Nov 28 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 6:4.1.80-3
- dragon documentation disappeared (at least with my mock build), update file
  lists
- add kioslave documentation to file lists

* Thu Nov 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.80-3
- -devel: drop Req: kdebase-workspace-devel

* Thu Nov 20 2008 Than Ngo <than@redhat.com> 4.1.80-2
- merged

* Thu Nov 20 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 6:4.1.80-1
- 4.1.80
- BR cmake >= 2.6.2
- make install/fast

* Wed Nov 12 2008 Than Ngo <than@redhat.com> 4.1.3-1
- 4.1.3

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Wed Sep 17 2008 Than Ngo <than@redhat.com> 4.1.1-2
- backport from trunk to fix dragon kpart crash in the embedding application

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Thu Jun 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.80-3
- some of the libraries are clearly LGPLv2+, correct license tags for libs and devel

* Thu Jun 05 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.80-2
- License: GPLv2+

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Sat May 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- drop backported kmix-systray patch
- Obsoletes/Provides dragonplayer, add it to description and file list
- add BR xine-lib-devel for dragonplayer

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Tue Apr 01 2008 Lukáš Tinkl <ltinkl@redhat.com>
- fix kmix systray volume control tooltip

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- Rebuild for NDEBUG

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Wed Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- kde-4.0.1

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0
- drop upstreamed cdparanoia patch

* Wed Jan 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- don't mention kaudiocreator in description, it's not actually there
- apply patch by Alex Merry to support FLAC 1.1.3+ in kio_audiocd
- apply patch by Allen Winter to fix cdparanoia detection
- list audiocdencoder.h in file list (-devel)

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-3
- -libs: Obsoletes: -extras(-libs)
- cleanup BR's
- omit parallel-install symlink hacks

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Mon Dec 10 2007 Than Ngo <than@redhat.com> 3.97.0-1
- 3.97.0

* Fri Nov 30 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.1-1
- kde-3.96.1

* Fri Nov 23 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-4
- libs subpkg
- also use epoch in changelog (also backwards)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-3
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-2
- Requires: kdebase-workspace-devel
- BR: libXScrnSaver-devel
- BR: libXtst-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-1
- Initial version for Fedora
